#include <iostream>
#include <vector>
#include <sstream>

int perica(int L,std::vector<int> H) {
    for (int i=0;i<H.size();i++) {
        if(L>=H[i]) {
            return i+1;
        }
    }
    return -1;
}

int main()
{
    std::ios::sync_with_stdio(0);
    std::cin.tie(0);
    int l,n;
    std::cin>>n>>l;
    std::cin.ignore();

    std::string s;
    std::getline(std::cin, s);

    std::stringstream ss(s);
    std::vector<int> H;
    int x;
    while (ss >> x) {
        H.push_back(x);
    }
    std::cout<<perica(l,H)<<'\n';
    return 0;
}